Email templates
Create an email template
POST
Requires the email-template:write scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
application/json- body
name*stringvisualConfig?type*stringValue in
"html""mat-builder""react-email""templatical""visual"slug?stringMatch
^[a-z0-9]+(?:-[a-z0-9]+)*$variables?array<>senderIdentityId*stringsubject*stringpreHeaderText*stringbcc*stringhtml*stringreplyTo*stringcurl -X POST 'https://api.mailcrate.io/public/email-template' \ -H 'Authorization: Api-Key <api_key>' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "type": "html", "senderIdentityId": "string", "subject": "string", "preHeaderText": "string", "bcc": "string", "html": "string", "replyTo": "string"}'Example Response
Empty